# This package was forked from redhat-release-atomic-host.
%global pixmaptarget %{_datadir}/lorax/product/usr/share/anaconda/pixmaps
%global pixmapsource %{_prefix}/share/redhat-release-virtualization-host/branding/anaconda
%global ssg_content_dir %{_prefix}/share/xml/scap/ssg/content/
%global rhvh_ssg_ds_xml %{ssg_content_dir}/ssg-rhvh4-ds.xml

%define debug_package %{nil}

# RHEL part
%define base_product_family Red Hat Enterprise Linux
%define base_release_version 7
%define full_release_version 7.9
%define dist_release_version 7
#%%define beta
%define dist .el%{dist_release_version}

# RHV variant part
%define product_family Red Hat Virtualization
%define product_family_concat Server

%define variant_id ovirt-node
%define variant_titlecase Host
#%define variant_titlecase_concat Host
%define variant_lowercase hypervisor
%define variant_full_release_version 4.3.22

%define release_pkg_version 1

Name:           redhat-virtualization-host-productimg
Version:        %{variant_full_release_version}
Release:        %{release_pkg_version}%{?dist}
Summary:        %{product_family} %{variant_titlecase} Anaconda branding
Group:          System Environment/Base
License:        GPLv2

Provides:       redhat-release = %{full_release_version}
Provides:       system-release = %{full_release_version}
Provides:       system-release(releasever) = %{base_release_version}%{product_family_concat}%{?variant_titlecase_concat}

# Use the complete source, to know where it came from
Source0:        sidebar-logo.png
Source1:        90-default.preset
Source2:	EULA

%description
%{product_family} %{variant_titlecase} Anaconda branding


%prep

%build
echo OK

%install
# create /etc
mkdir -p %{buildroot}/etc %{buildroot}/%{ssg_content_dir}
install -dDm 0755 %{buildroot}/%{_prefix}/share/redhat-release-virtualization-host/branding/anaconda/
install -Dm 0644 %{SOURCE0} %{buildroot}/%{_prefix}/share/redhat-release-virtualization-host/branding/anaconda/
install -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/redhat-release-virtualization-host

install -m 755 -d %{buildroot}%{pixmaptarget}
install -m 755 -d %{buildroot}%{pixmapsource}/
install -m 644 %{SOURCE0} %{buildroot}%{pixmapsource}/

ln -sf %{pixmapsource}/sidebar-logo.png %{buildroot}%{pixmaptarget}/sidebar-logo.png
ln -sf %{ssg_content_dir}/ssg-rhel7-ds.xml %{buildroot}/%{rhvh_ssg_ds_xml}

install -m 755 -d %{buildroot}%{_datadir}/rhv-productimg

pushd %{buildroot}%{_datadir}/lorax/product/
find %{buildroot}%{_datadir}/lorax/product/ -depth -printf '%%P\0' | \
   cpio --null --quiet -H newc -o | \
   xz -9 > \
   %{buildroot}%{_datadir}/rhv-productimg/product.img
popd

# Create systemd presets
install -dDm 0755 %{buildroot}/%{_prefix}/lib/systemd/system-preset
install -Dm 0644 %{SOURCE1} %{buildroot}/%{_prefix}/lib/systemd/system-preset/

# create /etc/system-release and /etc/redhat-release
echo "%{base_product_family} release %{full_release_version}" > %{buildroot}/etc/redhat-release
ln -s redhat-release %{buildroot}/etc/system-release

# create /etc/os-release
mkdir -p %{buildroot}/usr/lib/os.release.d/
cat << EOF >>%{buildroot}/usr/lib/os.release.d/os-release-rhv-host
NAME="%{base_product_family}"
VERSION="%{full_release_version}"
VERSION_ID="%{full_release_version}"
ID="rhel"
ID_LIKE="fedora"
VARIANT="%{?product_family} %{?variant_titlecase}"
VARIANT_ID="%{?variant_id}"
PRETTY_NAME="%{product_family} %{variant_titlecase} %{variant_full_release_version} (el%{full_release_version})"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:%{full_release_version}:%{?beta:beta}%{!?beta:GA}%{?variant_lowercase::%{variant_lowercase}}"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

# FIXME
REDHAT_BUGZILLA_PRODUCT="%{product_family}"
REDHAT_BUGZILLA_PRODUCT_VERSION=%{full_release_version}
REDHAT_SUPPORT_PRODUCT="%{product_family}"
REDHAT_SUPPORT_PRODUCT_VERSION=%{full_release_version}
EOF

ln -s ../usr/lib/os-release %{buildroot}/etc/os-release
ln -s os.release.d/os-release-rhv-host %{buildroot}/usr/lib/os-release

# write cpe to /etc/system/release-cpe
echo "cpe:/o:redhat:enterprise_linux:%{full_release_version}:%{?beta:beta}%{!?beta:GA}%{?variant_lowercase::%{variant_lowercase}}" | tr [A-Z] [a-z] > %{buildroot}/etc/system-release-cpe

# create /etc/issue and /etc/issue.net
echo '\S' > %{buildroot}/etc/issue
echo 'Kernel \r on an \m' >> %{buildroot}/etc/issue
cp %{buildroot}/etc/issue %{buildroot}/etc/issue.net
echo >> %{buildroot}/etc/issue

# FIXME is this relevant for RHVH?
# https://bugzilla.redhat.com/show_bug.cgi?id=1204194
#mkdir -p %{buildroot}/etc/systemd/system
#ln -s /dev/null %{buildroot}/etc/systemd/system/brandbot.path

%post

%files
%config(noreplace) /etc/issue
%config(noreplace) /etc/issue.net
%config /etc/os-release
%config /etc/redhat-release
%config /etc/system-release
%config /etc/system-release-cpe
%dir %{_datadir}/lorax/product/usr/share/anaconda
%{_prefix}/share/redhat-release-virtualization-host/branding/anaconda/sidebar-logo.png
%{_prefix}/share/redhat-release-virtualization-host/EULA
%{_prefix}/lib/os.release.d/os-release-rhv-host
%{_prefix}/lib/os-release
%dir %{_datadir}/lorax/product/usr/share
%dir %{_datadir}/lorax/product/usr
%dir %{pixmaptarget}
%{pixmaptarget}/*.png
%dir %{_datadir}/rhv-productimg
%{_datadir}/rhv-productimg/product.img
%{_prefix}/lib/systemd/system-preset/*
%{_prefix}/lib/systemd/system-preset/90-default.preset
%{rhvh_ssg_ds_xml}

%changelog
* Tue Mar 29 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 4.3.22-1.el7
- Bump to 4.3.22-1, build for 7.9

* Mon Dec 20 2021 Asaf Rachmani <arachman@redhat.com> - 4.3.21-1.el7
- Bump to 4.3.21-1, build for 7.9

* Sun Nov 28 2021 Asaf Rachmani <arachman@redhat.com> - 4.3.20-1.el7
- Bump to 4.3.20-1, build for 7.9

* Mon Aug 30 2021 Asaf Rachmani <arachman@redhat.com> - 4.3.19-1.el7
- Bump to 4.3.19-1, build for 7.9

* Tue Jul 27 2021 Asaf Rachmani <arachman@redhat.com> - 4.3.18-1.el7
- Bump to 4.3.18-1, build for 7.9

* Tue Jul 13 2021 Asaf Rachmani <arachman@redhat.com> - 4.3.17-1.el7
- Bump to 4.3.17-1, build for 7.9

* Mon Jun 07 2021 Asaf Rachmani <arachman@redhat.com> - 4.3.16-1.el7
- Bump to 4.3.16-1, build for 7.9

* Tue Apr 27 2021 Asaf Rachmani <arachman@redhat.com> - 4.3.15-1.el7
- Bump to 4.3.15-1, build for 7.9

* Wed Mar 10 2021 Asaf Rachmani <arachman@redhat.com> - 4.3.14-1.el7
- Bump to 4.3.14-1, build for 7.9

* Thu Jan 28 2021 Asaf Rachmani <arachman@redhat.com> - 4.3.13-2.el7
- Bump to 4.3.13-2, build for 7.9

* Thu Nov 26 2020 Nir Levy <nlevy@redhat.com> - 4.3.13-1.el7
- Bump to 4.3.13-1, build for 7Server

* Tue Oct 27 2020 Asaf Rachmani <arachman@redhat.com> - 4.3.12-1.el7
- Bump to 4.3.12-1

* Tue Jun 09 2020 Asaf Rachmani <arachman@redhat.com> - 4.3.11-1.el7
- Bump to 4.3.11-1, build for 7.9

* Tue Apr 21 2020 Nir Levy <nlevy@redhat.com> - 4.3.10-1.el7
- Bump to 4.3.10-1

* Mon Feb 03 2020 Nir Levy <nlevy@redhat.com> - 4.3.9-1.el7
- Bump to 4.3.9-1, build for 7.8

* Thu Dec 19 2019 Nir Levy <nlevy@redhat.com> - 4.3.8-1.el7
- Bump to 4.3.8-1

* Wed Dec 4 2019 Nir Levy <nlevy@redhat.com> - 4.3.8-0.el7
- Bump to 4.3.8-0

* Thu Oct 24 2019 Nir Levy <nlevy@redhat.com> - 4.3.7-0.el7
- Bump to 4.3.7-0

* Wed Aug 07 2019 Yuval Turgeman <yturgema@redhat.com> - 4.3.6-1.el7
- Bump to 4.3.6-1

* Thu Jul 04 2019 Yuval Turgeman <yturgema@redhat.com> - 4.3.5-2.el7
- Updated logo

* Mon Jun 17 2019 Yuval Turgeman <yturgema@redhat.com> - 4.3.5-1.el7
- set PRETTY_NAME to RHV version (rhbz#1720156)

* Mon May 06 2019 Yuval Turgeman <yturgema@redhat.com> - 4.3-5.0.el7
- Build for 7.7

* Sun Oct 14 2018 Yuval Turgeman <yturgema@redhat.com> - 4.3-0.0.el7
- Build for 4.3

* Thu Oct 04 2018 Yuval Turgeman <yturgema@redhat.com> - 4.2-2.2.el7
- Build for 7.6

* Tue Apr 03 2018 Ryan Barry <rbarry@redhat.com> - 4.2-2.1.el7
- Enable rhel-domainname.service

* Thu Mar 29 2018 Yuval Turgeman <yturgema@redhat.com> - 4.2-2.0.el7
- Updated presets from 7.5

* Thu Feb 22 2018 Ryan Barry <rbarry@redhat.com> - 4.2-1.0.el7
- Build for 7.5

* Mon Aug 14 2017 Ryan Barry <rbarry@redhat.com> - 4.2-0.0.el7
- Build for 4.2

* Thu Mar 30 2017 Yuval Turgeman <yuvalt@redhat.com> - 4.1-0.2.el7
- Add EULA

* Wed Jan 4 2017 Yuval Turgeman <yuvalt@redhat.com> - 4.1-0.1.el7
- Update RHV logo

* Fri Nov 4 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.3.el7
- Move to 7.3

* Wed Aug 31 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.2.el7
- Add systemd presets

* Wed Aug 10 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.1.el7
- Remove beta

* Mon Aug 1 2016 Ryan Barry <rbarry@redhat.com> - 4.0-0.0.el7
- Initial build
